clang-tools 10.0.0

Classes | Functions | Variables
clang::tidy::cert Namespace Reference

## Classes
class | CERTModule
class | CommandProcessorCheck
| Execution of a command processor can lead to security vulnerabilities, and is generally not required. More...
class | DefaultOperatorNewAlignmentCheck
| Checks if an object of type with extended alignment is allocated by using the default operator new. More...
class | DontModifyStdNamespaceCheck
| Modification of the std or posix namespace can result in undefined behavior. More...
class | FloatLoopCounter
| This check diagnoses when the loop induction expression of a for loop has floating-point type. More...
class | LimitedRandomnessCheck
| Pseudorandom number generators are not genuinely random. More...
class | MutatingCopyCheck
| Finds assignments to the copied object and its direct or indirect members in copy constructors and copy assignment operators. More...
class | PostfixOperatorCheck
| Checks if the overloaded postfix ++ and – operator return a constant object. More...
class | ProperlySeededRandomGeneratorCheck
| Random number generator must be seeded properly. More...
class | SetLongJmpCheck
| Guards against use of setjmp/longjmp in C++ code. More...
class | StaticObjectExceptionCheck
| Checks whether the constructor for a static or thread_local object will throw. More...
class | StrToNumCheck
| Guards against use of string conversion functions that do not have reasonable error handling for conversion errors. More...
class | ThrownExceptionTypeCheck
| Checks whether a thrown object is nothrow copy constructible. More...
class | VariadicFunctionDefCheck
| Guards against any C-style variadic function definitions (not declarations). More...

## Functions
| AST_MATCHER (CXXNewExpr, isPlacementNew)

## Variables
static constexpr llvm::StringLiteral | SourceDeclName = "ChangedPVD"
static constexpr llvm::StringLiteral | MutatingOperatorName = "MutatingOp"
static constexpr llvm::StringLiteral | MutatingCallName = "MutatingCall"

## Function Documentation

## ◆ AST_MATCHER()

clang::tidy::cert::AST_MATCHER | ( | CXXNewExpr | ,
|  | isPlacementNew |
| ) |  |

Definition at line 19 of file DefaultOperatorNewAlignmentCheck.cpp.

## Variable Documentation

## ◆ MutatingCallName

constexpr llvm::StringLiteral clang::tidy::cert::MutatingCallName = "MutatingCall"
| static

Definition at line 21 of file MutatingCopyCheck.cpp.

## ◆ MutatingOperatorName

constexpr llvm::StringLiteral clang::tidy::cert::MutatingOperatorName = "MutatingOp"
| static

Definition at line 20 of file MutatingCopyCheck.cpp.

## ◆ SourceDeclName

constexpr llvm::StringLiteral clang::tidy::cert::SourceDeclName = "ChangedPVD"
| static

Definition at line 19 of file MutatingCopyCheck.cpp.